Ipelib

Public Member Functions | List of all members
ipe::CanvasObserver Class Reference

`#include <ipecanvas.h>`

## Public Member Functions
virtual | ~CanvasObserver ()
virtual void | canvasObserverWheelMoved (double xDegrees, double yDegrees, int kind)
virtual void | canvasObserverMouseAction (int button)
virtual void | canvasObserverPositionChanged ()
virtual void | canvasObserverToolChanged (bool hasTool)
virtual void | canvasObserverSizeChanged ()

## Constructor & Destructor Documentation

## ◆ ~CanvasObserver()

CanvasObserver::~CanvasObserver | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ canvasObserverWheelMoved()

void CanvasObserver::canvasObserverWheelMoved | ( | double | xDegrees,
|  | double | yDegrees,
|  | int | kind )
| virtual

Referenced by Canvas::magnify(), Canvas::scrollWheel(), and ipe::Canvas::wheelEvent().

## ◆ canvasObserverMouseAction()

void CanvasObserver::canvasObserverMouseAction | ( | int | button | ) |
| virtual

Referenced by Canvas::button(), ipe::Canvas::mouseButton(), and ipe::Canvas::tabletEvent().

## ◆ canvasObserverPositionChanged()

void CanvasObserver::canvasObserverPositionChanged | ( |  | ) |
| virtual

Referenced by Canvas::mouseMove(), ipe::Canvas::mouseMoveEvent(), and ipe::Canvas::tabletEvent().

## ◆ canvasObserverToolChanged()

void CanvasObserver::canvasObserverToolChanged | ( | bool | hasTool | ) |
| virtual

Referenced by ipe::CanvasBase::finishTool(), and ipe::CanvasBase::setTool().

## ◆ canvasObserverSizeChanged()

void CanvasObserver::canvasObserverSizeChanged | ( |  | ) |
| virtual

Referenced by ipe::CanvasBase::refreshSurface().

The documentation for this class was generated from the following files:

- ipecanvas.h
- ipecanvas.cpp